#
# spec file for package python-python-datamatrix
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define         skip_python2 1
Name:           python-python-datamatrix
Version:        0.10.15
Release:        1.2
Summary:        A python library to work with tabular data
License:        GPL-3.0-or-later
Group:          Development/Languages/Python
URL:            https://github.com/smathot/python-datamatrix
Source:         https://github.com/smathot/python-datamatrix/archive/release/%{version}.tar.gz#/python-datamatrix-release-%{version}.tar.gz
BuildRequires:  %{python_module fastnumbers}
BuildRequires:  %{python_module json_tricks}
BuildRequires:  %{python_module matplotlib}
BuildRequires:  %{python_module nibabel}
BuildRequires:  %{python_module nilearn}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module numpy}
BuildRequires:  %{python_module openpyxl}
BuildRequires:  %{python_module pandas}
BuildRequires:  %{python_module scipy}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Recommends:     python-PrettyTable
Recommends:     python-fastnumbers
Recommends:     python-json_tricks
Recommends:     python-matplotlib
Recommends:     python-nibabel
Recommends:     python-nilearn
Recommends:     python-numpy
Recommends:     python-openpyxl
Recommends:     python-pandas
Recommends:     python-scipy
BuildArch:      noarch

%python_subpackages

%description
The datamatrix package provides a high way to work with tabular data in Python.
Tabular data is datasets that consist of named columns and numbered rows.

%prep
%setup -q -n python-datamatrix-release-%{version}
# wrong-file-end-of-line-encoding
sed -i 's/\r$//' doc-pelican/data/fratescu-replication-data-exp1.csv

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# All test failures appear to be problematic, but are specific to input data types
%python_expand nosetests-%{$python_bin_suffix} testcases -e '(test_memoize|test_group|test_io|test_intcolumn|test_seriescolumn)'

%files %{python_files}
%license copyright
%doc readme.md 
%doc doc-pelican/content/pages/*
%doc doc-pelican/data/
%doc doc-pelican/include/api
%{python_sitelib}/datamatrix/
%{python_sitelib}/python_datamatrix-%{version}-py*.egg-info

%changelog
* Thu Jan 30 2020 Todd R <toddrme2178@gmail.com>
- Update to 0.10.15
  * Upgrade old-style DataMatrix objects during memoization
  * Add shape property to DataMatrix
* Wed Oct 30 2019 Todd R <toddrme2178@gmail.com>
- Use noun statement for summary.
- Make summary more descriptive.
- Make description more objective.
- Fix rpmlint issue.
* Fri Sep 13 2019 Todd R <toddrme2178@gmail.com>
- Update to 0.10.12
  * Fix setting by DataMatrix for NumericColumn
  * Fix deprecated Index objects after unpickling
  * convert.to_dataframe(): don't crash on numeric column names
  * Add BOM data for unit tests
  * Enable universal newlines mode in Python 3
  * io.readtxt(): strip BOMs from column names
  * Gracefully accept any iterable object
- Drop python2 support because dependencies dropped python2 support
* Wed Mar 20 2019 John Vandenberg <jayvdb@gmail.com>
- Convert to single spec
- Activate test suite, skipping five failing test methods
- Add Recommends for numerical packages datamatrix supports
- Add %%license and %%doc
- Update to v0.9.14
* Thu Nov 10 2016 avvissu@yandex.by
- Initial package for v0.3.1
